import React from 'react';
import ReactDOM from 'react-dom';
import { arc, range, randomUniform, pie } from 'd3';

const App = () => {
  const generateRandom = (items, minVal, maxVal) => {
    const coords = range(items).map((item) => {
      return {
        value: randomUniform(minVal, maxVal)(),
        color:
          '#' +
          Math.floor(Math.random() * 16777215).toString(16),
      };
    });
    return coords;
  };

  const height = 600;
  const width = 900;
  const centerX = width / 2;
  const centerY = height / 2;

  const myData = generateRandom(3, 1, 20);
  
  const pieGenerator = pie().sort(null).value(d => d.value);
  
  const arcGenerator = arc()
    .innerRadius(60)
    .outerRadius(200)
    .padAngle(0.02);
  
  const newData = pieGenerator(myData);

  newData.map(d => console.log(d.value));
  
  return (
    <svg
      height={height}
      width={width}
      className="background"
    >
      <g transform={`translate(${centerX}, ${centerY})`}>
        {newData.map(d => (
          <path fill={d.data.color} d={arcGenerator(d)} />
        ))}
      </g>
    </svg>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
